import { jsx } from "react/jsx-runtime";
import { LightningAIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const LightningA = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "LightningA", ...props, children: /* @__PURE__ */ jsx(LightningAIcon, { weight: variant }) });
  }
);
LightningA.displayName = "LightningA";
Object.assign(LightningA, { isGdsIcon: true });
export {
  LightningA
};
